Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 66 lines (60 sloc) 2.158 kb
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{rpm_contrib}
7b297ba @bkayser Mongoid support
bkayser authored
8 s.version = "1.0.10"
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Bill Kayser"]
7b297ba @bkayser Mongoid support
bkayser authored
12 s.date = %q{2010-05-21}
2e8f0a2 @bkayser Add redis instrumentation contributed by ngmoco
bkayser authored
13 s.description = %q{Community contributed instrumentation for various frameworks based on
14 the New Relic Ruby monitoring gem newrelic_rpm.
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
15 }
16 s.email = %q{support@newrelic.com}
17 s.extra_rdoc_files = [
2e8f0a2 @bkayser Add redis instrumentation contributed by ngmoco
bkayser authored
18 "CHANGELOG",
19 "LICENSE",
20 "README.md"
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
21 ]
22 s.files = [
5b7a4c0 @bkayser Updated gemspec
bkayser authored
23 "CHANGELOG",
24 "LICENSE",
2e8f0a2 @bkayser Add redis instrumentation contributed by ngmoco
bkayser authored
25 "README.md",
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
26 "Rakefile",
648a2f7 @bkayser Regenerated gemspec for version 1.0.2
bkayser authored
27 "lib/new_relic/control/camping.rb",
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
28 "lib/rpm_contrib.rb",
648a2f7 @bkayser Regenerated gemspec for version 1.0.2
bkayser authored
29 "lib/rpm_contrib/detection/camping.rb",
659d6ae @bkayser Resque instrumentation
bkayser authored
30 "lib/rpm_contrib/detection/resque.rb",
5b7a4c0 @bkayser Updated gemspec
bkayser authored
31 "lib/rpm_contrib/instrumentation/camping.rb",
feba289 @bkayser Update gemspec
bkayser authored
32 "lib/rpm_contrib/instrumentation/mongo_mapper.rb",
8e6fafe added mongoid support. still need to add tests
Karl authored
33 "lib/rpm_contrib/instrumentation/mongoid.rb",
5b7a4c0 @bkayser Updated gemspec
bkayser authored
34 "lib/rpm_contrib/instrumentation/paperclip.rb",
2e8f0a2 @bkayser Add redis instrumentation contributed by ngmoco
bkayser authored
35 "lib/rpm_contrib/instrumentation/redis.rb",
659d6ae @bkayser Resque instrumentation
bkayser authored
36 "lib/rpm_contrib/instrumentation/resque.rb",
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
37 "test/helper.rb",
dc47d38 @bkayser Moved DJ back into newrelic_rpm
bkayser authored
38 "test/schema.rb",
feba289 @bkayser Update gemspec
bkayser authored
39 "test/test_mongoid.rb"
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
40 ]
41 s.homepage = %q{http://github.com/newrelic/rpm_contrib}
2e8f0a2 @bkayser Add redis instrumentation contributed by ngmoco
bkayser authored
42 s.rdoc_options = ["--charset=UTF-8", "--line-numbers", "--inline-source", "--title", "Contributed Instrumentation for New Relic RPM", "-m", "README.md"]
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
43 s.require_paths = ["lib"]
648a2f7 @bkayser Regenerated gemspec for version 1.0.2
bkayser authored
44 s.rubygems_version = %q{1.3.6}
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
45 s.summary = %q{Contributed Instrumentation for New Relic RPM}
46 s.test_files = [
dc47d38 @bkayser Moved DJ back into newrelic_rpm
bkayser authored
47 "test/helper.rb",
48 "test/schema.rb",
feba289 @bkayser Update gemspec
bkayser authored
49 "test/test_mongoid.rb"
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
50 ]
51
52 if s.respond_to? :specification_version then
53 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
54 s.specification_version = 3
55
56 if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
1682dae @bkayser Fix dependency specifier for newrelic_rpm
bkayser authored
57 s.add_runtime_dependency(%q<newrelic_rpm>, [">= 2.11.1"])
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
58 else
1682dae @bkayser Fix dependency specifier for newrelic_rpm
bkayser authored
59 s.add_dependency(%q<newrelic_rpm>, [">= 2.11.1"])
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
60 end
61 else
1682dae @bkayser Fix dependency specifier for newrelic_rpm
bkayser authored
62 s.add_dependency(%q<newrelic_rpm>, [">= 2.11.1"])
725bea7 @bkayser Adding in instrumentation, wip
bkayser authored
63 end
64 end
65
Something went wrong with that request. Please try again.